Home

# Class goog.net.xpc.NixTransport

NIX method transport. NOTE(user): NIX method tested in all IE versions starting from 6.0.

extends goog.net.xpc.Transport

Instance Method Summary

`attemptInnerSetup_()`

Attempts to setup the channel from the perspective of the inner (read: iframe) page. This method will attempt to *read* the opener object from the page's opener property. If it succeeds, this object is saved into nixChannel_ and the channel is confirmed with the container by calling CreateChannel with an instance of a wrapper for *this* page. Note that if this method fails, it will continue to loop until it succeeds.

| `attemptOuterSetup_()` Attempts to setup the channel from the perspective of the outer (read: container) page. This method will attempt to create a NIX wrapper for this transport and place it into the "opener" property of the inner page's window object. If it fails, it will continue to loop until it does so.
| `connect()` Connect this transport.
| `createChannel_(?Object channel)` Internal method called by the inner page, via the NIX wrapper, to complete the setup of the channel.

`disposeInternal()`

Deletes or nulls out any references to COM objects, DOM nodes, or other disposable objects. Classes that extend {@code goog.Disposable} should override this method. Not reentrant. To avoid calling it twice, it must only be called from the subclass' {@code disposeInternal} method. Everywhere else the public {@code dispose} method must be used. For example:

    mypackage.MyClass = function() {
    goog.base(this);
    // Constructor logic specific to MyClass.
    ...
    };
    goog.inherits(mypackage.MyClass, goog.Disposable);

    mypackage.MyClass.prototype.disposeInternal = function() {
    goog.base(this, 'disposeInternal');
    // Dispose logic specific to MyClass.
    ...
    };

| `handleMessage_(string serviceName, string payload)` Internal method called by the other page, via the NIX wrapper, to deliver a message.
| `send(string service, string payload)` Sends a message.

Static Method Summary
| `conductGlobalSetup_()` Conducts the global setup work for the NIX transport method. This function creates and then injects into the page the VBScript code necessary to create the NIX wrapper class. Note that this method can be called multiple times, as it internally checks whether the work is necessary before proceeding.
| `isNixSupported() ⇒ boolean` Determines if the installed version of IE supports accessing window.opener after it has been set to a non-Window/null value. NIX relies on this being possible.